#include <SD.h>
const int chipSelect = 10;  // labled SS from DFRobot, CS from Adafruit
char incomingByte;   // for incoming serial data

void setup() {
  
  Serial.begin(115200); 
  Serial.print("Initializing SD card...");
  //output CS or SS from SD card
  pinMode(10, OUTPUT);
  // failure check
  if (!SD.begin(chipSelect)) {
    Serial.println("Card failed, or not present");
    return;
  }
  Serial.println("card initialized.");
}

void loop() {

  // send data only when you receive data:
  if (Serial.available() > 0) {
  // read the incoming byte:
  incomingByte = Serial.read();
  // check
  Serial.print("I received: ");
  Serial.println(incomingByte);
  
  // open the file. note that only one file can be open at a time,
  // so you have to close this one before opening another.
  File dataFile = SD.open("datalog.txt", FILE_WRITE);
  // if the file is available, write to it:
  if (dataFile) {
    dataFile.println(incomingByte);
    dataFile.close();
  }
  else {
    Serial.println("error opening datalog.txt");
  }
 }
}
